Subject: Re: 26.1; false positive: Match data clobbered by buffer modification hooks

From: David Bremner <[email-masked]>
Date: Mon, 02 Dec 2019 22:48:12 -0400

Stefan Kangas <[email-masked]> writes:

> Paul Eggert <[email-masked]> writes:
>
>> I tried to reproduce the bug and failed, so I'm afraid you'll have to step in
>> and help debug it. First, please use 26.2 rather than 26.1. Second, please 
>> simplify the ./configure arguments (there are some duplicates, and
>> --enable-libsystemd isn't the right name for the flag). Third, I suggest running 
>> it under GDB and seeing what exactly goes wrong, e.g., by putting a watchpoint
>> on search_regs.start[sub].
>
> I couldn't reproduce this bug either.
>
> David, could you please look into the above suggestions by Paul?

FYI I've filed Debian bug 931651 about this. I did duplicate the problem
without docker, and with emacs 26.3, but on an s390x system (and it
seems to be sensitive to _which_ s390x system, so that is a bit
discouraging).

I haven't had time to follow up Paul's suggestions.

d